org.apache.cassandra.metrics

## Class DroppedMessageMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.DroppedMessageMetrics

    public class DroppedMessageMetrics
    extends java.lang.Object

Metrics for dropped messages by verb.

### Field Summary

Fields
`com.codahale.metrics.Timer` `crossNodeDroppedLatency` The cross node dropped latency
`com.codahale.metrics.Meter` `dropped` Number of dropped messages
`com.codahale.metrics.Timer` `internalDroppedLatency` The dropped latency within node

### Constructor Summary

Constructors
Constructor and Description
`DroppedMessageMetrics(MessagingService.Verb verb)`
`DroppedMessageMetrics(MetricNameFactory factory)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### dropped

    public final com.codahale.metrics.Meter dropped

Number of dropped messages

#### internalDroppedLatency

    public final com.codahale.metrics.Timer internalDroppedLatency

The dropped latency within node

#### crossNodeDroppedLatency

    public final com.codahale.metrics.Timer crossNodeDroppedLatency

The cross node dropped latency

### Constructor Detail

#### DroppedMessageMetrics

    public DroppedMessageMetrics(MessagingService.Verb verb)

#### DroppedMessageMetrics

    public DroppedMessageMetrics(MetricNameFactory factory)